Loading...
Searching...
No Matches
Magick::ChannelStatistics Class Reference

## Public Member Functions

| ChannelStatistics (const ChannelStatistics &channelStatistics_)
double | area () const
PixelChannel | channel (void) const
size_t | depth () const
double | entropy () const
bool | isValid () const
double | kurtosis () const
double | maxima () const
double | mean () const
double | minima () const
double | skewness () const
double | standardDeviation () const
double | sum () const
double | sumCubed () const
double | sumFourthPower () const
double | sumSquared () const
double | variance () const
| ChannelStatistics (const PixelChannel channel_, const MagickCore::ChannelStatistics *channelStatistics_)

## Private Attributes

PixelChannel | _channel
double | _area
size_t | _depth
double | _entropy
double | _kurtosis
double | _maxima
double | _mean
double | _minima
double | _skewness
double | _standardDeviation
double | _sum
double | _sumCubed
double | _sumFourthPower
double | _sumSquared
double | _variance

## Detailed Description

Definition at line 133 of file Statistic.h.

## Constructor & Destructor Documentation

## ChannelStatistics() [1/3]

Magick::ChannelStatistics::ChannelStatistics | ( | void |  | ) |

Definition at line 284 of file Statistic.cpp.

: _channel(SyncPixelChannel),
_area(0.0),
_depth(0),
_entropy(0.0),
_kurtosis(0.0),
_maxima(0.0),
_mean(0.0),
_minima(0.0),
_skewness(0.0),
_standardDeviation(0.0),
_sum(0.0),
_sumCubed(0.0),
_sumFourthPower(0.0),
_sumSquared(0.0),
_variance(0.0)
{
}

## ChannelStatistics() [2/3]

Magick::ChannelStatistics::ChannelStatistics | ( | const ChannelStatistics & | channelStatistics_ | ) |

Definition at line 303 of file Statistic.cpp.

: _channel(channelStatistics_._channel),
_area(channelStatistics_._area),
_depth(channelStatistics_._depth),
_entropy(channelStatistics_._entropy),
_kurtosis(channelStatistics_._kurtosis),
_maxima(channelStatistics_._maxima),
_mean(channelStatistics_._mean),
_minima(channelStatistics_._minima),
_skewness(channelStatistics_._skewness),
_standardDeviation(channelStatistics_._standardDeviation),
_sum(channelStatistics_._sum),
_sumCubed(channelStatistics_._sumCubed),
_sumFourthPower(channelStatistics_._sumFourthPower),
_sumSquared(channelStatistics_._sumSquared),
_variance(channelStatistics_._variance)
{
}

## ~ChannelStatistics()

Magick::ChannelStatistics::~ChannelStatistics | ( | void |  | ) |

Definition at line 323 of file Statistic.cpp.

{
}

## ChannelStatistics() [3/3]

Magick::ChannelStatistics::ChannelStatistics | ( | const PixelChannel | channel_,
|  | const MagickCore::ChannelStatistics * | channelStatistics_
| ) |  |

Definition at line 407 of file Statistic.cpp.

: _channel(channel_),
_area(channelStatistics_->area),
_depth(channelStatistics_->depth),
_entropy(channelStatistics_->entropy),
_kurtosis(channelStatistics_->kurtosis),
_maxima(channelStatistics_->maxima),
_mean(channelStatistics_->mean),
_minima(channelStatistics_->minima),
_skewness(channelStatistics_->skewness),
_standardDeviation(channelStatistics_->standard_deviation),
_sum(channelStatistics_->sum),
_sumCubed(channelStatistics_->sum_cubed),
_sumFourthPower(channelStatistics_->sum_fourth_power),
_sumSquared(channelStatistics_->sum_squared),
_variance(channelStatistics_->variance)
{
}

## Member Function Documentation

## area()

double Magick::ChannelStatistics::area | ( |  | ) | const

Definition at line 327 of file Statistic.cpp.

{
return(_area);
}

## channel()

Magick::PixelChannel Magick::ChannelStatistics::channel | ( | void |  | ) | const

Definition at line 332 of file Statistic.cpp.

{
return(_channel);
}

## depth()

size_t Magick::ChannelStatistics::depth | ( |  | ) | const

Definition at line 337 of file Statistic.cpp.

{
return(_depth);
}

## entropy()

double Magick::ChannelStatistics::entropy | ( |  | ) | const

Definition at line 342 of file Statistic.cpp.

{
return(_entropy);
}

## isValid()

bool Magick::ChannelStatistics::isValid | ( |  | ) | const

Definition at line 347 of file Statistic.cpp.

{
return(_channel != SyncPixelChannel);
}

## kurtosis()

double Magick::ChannelStatistics::kurtosis | ( |  | ) | const

Definition at line 352 of file Statistic.cpp.

{
return(_kurtosis);
}

## maxima()

double Magick::ChannelStatistics::maxima | ( |  | ) | const

Definition at line 357 of file Statistic.cpp.

{
return(_maxima);
}

## mean()

double Magick::ChannelStatistics::mean | ( |  | ) | const

Definition at line 362 of file Statistic.cpp.

{
return(_mean);
}

## minima()

double Magick::ChannelStatistics::minima | ( |  | ) | const

Definition at line 367 of file Statistic.cpp.

{
return(_minima);
}

## skewness()

double Magick::ChannelStatistics::skewness | ( |  | ) | const

Definition at line 372 of file Statistic.cpp.

{
return(_skewness);
}

## standardDeviation()

double Magick::ChannelStatistics::standardDeviation | ( |  | ) | const

Definition at line 377 of file Statistic.cpp.

{
return(_standardDeviation);
}

## sum()

double Magick::ChannelStatistics::sum | ( |  | ) | const

Definition at line 382 of file Statistic.cpp.

{
return(_sum);
}

## sumCubed()

double Magick::ChannelStatistics::sumCubed | ( |  | ) | const

Definition at line 387 of file Statistic.cpp.

{
return(_sumCubed);
}

## sumFourthPower()

double Magick::ChannelStatistics::sumFourthPower | ( |  | ) | const

Definition at line 392 of file Statistic.cpp.

{
return(_sumFourthPower);
}

## sumSquared()

double Magick::ChannelStatistics::sumSquared | ( |  | ) | const

Definition at line 397 of file Statistic.cpp.

{
return(_sumSquared);
}

## variance()

double Magick::ChannelStatistics::variance | ( |  | ) | const

Definition at line 402 of file Statistic.cpp.

{
return(_variance);
}

## Field Documentation

## _area

double Magick::ChannelStatistics::_area

private

Definition at line 203 of file Statistic.h.

## _channel

PixelChannel Magick::ChannelStatistics::_channel

private

Definition at line 202 of file Statistic.h.

## _depth

size_t Magick::ChannelStatistics::_depth

private

Definition at line 204 of file Statistic.h.

## _entropy

double Magick::ChannelStatistics::_entropy

private

Definition at line 205 of file Statistic.h.

## _kurtosis

double Magick::ChannelStatistics::_kurtosis

private

Definition at line 206 of file Statistic.h.

## _maxima

double Magick::ChannelStatistics::_maxima

private

Definition at line 207 of file Statistic.h.

## _mean

double Magick::ChannelStatistics::_mean

private

Definition at line 208 of file Statistic.h.

## _minima

double Magick::ChannelStatistics::_minima

private

Definition at line 209 of file Statistic.h.

## _skewness

double Magick::ChannelStatistics::_skewness

private

Definition at line 210 of file Statistic.h.

## _standardDeviation

double Magick::ChannelStatistics::_standardDeviation

private

Definition at line 211 of file Statistic.h.

## _sum

double Magick::ChannelStatistics::_sum

private

Definition at line 212 of file Statistic.h.

## _sumCubed

double Magick::ChannelStatistics::_sumCubed

private

Definition at line 213 of file Statistic.h.

## _sumFourthPower

double Magick::ChannelStatistics::_sumFourthPower

private

Definition at line 214 of file Statistic.h.

## _sumSquared

double Magick::ChannelStatistics::_sumSquared

private

Definition at line 215 of file Statistic.h.

## _variance

double Magick::ChannelStatistics::_variance

private

Definition at line 216 of file Statistic.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Statistic.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Statistic.cpp